Permalink
Browse files

Fix: Make was building invalid JSON files for the component.json file

  • Loading branch information...
DataTables committed Oct 28, 2012
1 parent eafd70f commit e7e0fb83f049b30996b368b27cdfdab21557cdc6
Showing with 1 addition and 1 deletion.
  1. +1 −1 scripts/make.sh
View
@@ -149,7 +149,7 @@ cat <<EOF > component.json
"version": "${VERSION}",
"main": [
"./media/js/jquery.dataTables.js",
- "./media/css/jquery.dataTables.css",
+ "./media/css/jquery.dataTables.css"
],
"dependencies": {
"jquery": "~1.8.0"

12 comments on commit e7e0fb8

@vendethiel

This comment has been minimized.

Show comment
Hide comment
@vendethiel

vendethiel Oct 31, 2012

Any ideas for older versions ? I'd like to use it now :(.

Any ideas for older versions ? I'd like to use it now :(.

@DataTables

This comment has been minimized.

Show comment
Hide comment
@DataTables

DataTables Nov 1, 2012

Owner

There is already a commit for the 1.9.x branch with this fix and in the master for 1.10 development.

You should be able to install with bower using datatables#1.9.4. Does that not work for you?

Owner

DataTables replied Nov 1, 2012

There is already a commit for the 1.9.x branch with this fix and in the master for 1.10 development.

You should be able to install with bower using datatables#1.9.4. Does that not work for you?

@vendethiel

This comment has been minimized.

Show comment
Hide comment
@vendethiel

vendethiel Nov 1, 2012

Nope, it doesn't work with datatables: "1.9.4" or "latest".

Nope, it doesn't work with datatables: "1.9.4" or "latest".

@DataTables

This comment has been minimized.

Show comment
Hide comment
@DataTables

DataTables Nov 1, 2012

Owner

Works just fine for me:

:~ allan$ bower install datatables#1.9.4
bower cloning git://github.com/DataTables/DataTables
bower cached git://github.com/DataTables/DataTables
bower fetching datatables
bower checking out datatables#1.9.4
bower copying /Users/allan/.bower/datatables
bower cloning git://github.com/components/jquery.git
bower cached git://github.com/components/jquery.git
bower fetching jquery
bower checking out jquery#1.4.4
bower copying /Users/allan/.bower/jquery
:~ allan$

Owner

DataTables replied Nov 1, 2012

Works just fine for me:

:~ allan$ bower install datatables#1.9.4
bower cloning git://github.com/DataTables/DataTables
bower cached git://github.com/DataTables/DataTables
bower fetching datatables
bower checking out datatables#1.9.4
bower copying /Users/allan/.bower/datatables
bower cloning git://github.com/components/jquery.git
bower cached git://github.com/components/jquery.git
bower fetching jquery
bower checking out jquery#1.4.4
bower copying /Users/allan/.bower/jquery
:~ allan$

@vendethiel

This comment has been minimized.

Show comment
Hide comment
@vendethiel

vendethiel Nov 1, 2012

bower cloning git://github.com/DataTables/DataTables
bower cached git://github.com/DataTables/DataTables
bower fetching datatables
stdout > HEAD is now at 46d483d Tests: With the change for the state saving into localStorage we need to update the state destroy in the unit tests

bower checking out datatables#1.9.4
bower error Failed to parse json
Unexpected token ]

bower cloning git://github.com/DataTables/DataTables
bower cached git://github.com/DataTables/DataTables
bower fetching datatables
stdout > HEAD is now at 46d483d Tests: With the change for the state saving into localStorage we need to update the state destroy in the unit tests

bower checking out datatables#1.9.4
bower error Failed to parse json
Unexpected token ]

@DataTables

This comment has been minimized.

Show comment
Hide comment
@DataTables

DataTables Nov 1, 2012

Owner

And you used bower install datatables#1.9.4 ?

Owner

DataTables replied Nov 1, 2012

And you used bower install datatables#1.9.4 ?

@vendethiel

This comment has been minimized.

Show comment
Hide comment
@vendethiel

vendethiel Nov 1, 2012

Yep. I also just cache-cleaned

Yep. I also just cache-cleaned

@DataTables

This comment has been minimized.

Show comment
Hide comment
@DataTables

DataTables Nov 1, 2012

Owner

I'm at a loss then I'm afraid. You could just download the package from http://datatables.net/download :-)

Owner

DataTables replied Nov 1, 2012

I'm at a loss then I'm afraid. You could just download the package from http://datatables.net/download :-)

@vendethiel

This comment has been minimized.

Show comment
Hide comment
@vendethiel

vendethiel Nov 1, 2012

that's what I'm using right now

that's what I'm using right now

@vendethiel

This comment has been minimized.

Show comment
Hide comment
@vendethiel

vendethiel Nov 1, 2012

Can you try to cache-clean too ?

Can you try to cache-clean too ?

@DataTables

This comment has been minimized.

Show comment
Hide comment
@DataTables

DataTables Nov 1, 2012

Owner

Try it now :-)

Owner

DataTables replied Nov 1, 2012

Try it now :-)

@vendethiel

This comment has been minimized.

Show comment
Hide comment
@vendethiel

vendethiel Nov 1, 2012

Nice, thanks !

Nice, thanks !

Please sign in to comment.